package com.patzn.lims.staff.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.staff.entity.LmsStaffEquip;
import com.patzn.lims.staff.vo.LmsStaffEquipVO;

import java.util.List;

/**
 * <p>
 * 人员管理-人员关联检测仪器 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-11-03
 */
public interface ILmsStaffEquipService extends IBaseService<LmsStaffEquip> {

    Page<LmsStaffEquipVO> pageVO(Page<LmsStaffEquipVO> page, LmsStaffEquipVO lmsStaffEquipVO);

    List<LmsStaffEquipVO> listVO(LmsStaffEquipVO lmsStaffEquipVO);

    LmsStaffEquipVO getVOById(Long id);

    Boolean addBatch(Long id, Long[] ids);
}
